{% extends 'quotes/base.html' %}
{% block content %}

<h1>Add stock...</h1>
<br/>
<form action="{% url 'add_stock' %}" class="d-flex" role="search" method="POST">
    {% csrf_token %}
    <input class="form-control me-2" type="search" placeholder="Add ticker to portfolio" aria-label="Ticker" name="ticker">
    <button class="btn btn-outline-secondary" type="submit">Add</button>
</form>
<br/><br/>

<table class="table table-bordered table-hover">
  <thead class="table-dark">
    <tr>
        <th scope="col">Company Name</th>
        <th scope="col">Ticker</th>
        <th scope="col">Stock Price</th>
        <th scope="col">Previous Close</th>
        <th scope="col">Market Cap</th>
        <th scope="col">YTD Change</th>
        <th scope="col">52W High</th>
        <th scope="col">52W Low</th>
    </tr>
  </thead>
  <tbody>
    {% if ticker %}
        {% for list_item in output %}
            <tr>
                <th scope="row">{{ list_item.companyName }}</th>
                <th>{{ list_item.symbol }}</th>
                <th>${{ list_item.latestPrice }}</th>
                <th>${{ list_item.previousClose }}</th>
                <th>${{ list_item.marketCap }}</th>
                <th>{{ list_item.ytdChange }}%</th>
                <th>${{ list_item.week52High }}</th>
                <th>${{ list_item.week52Low }}</th>
            </tr>
        {% endfor %}
    {% endif %}
  </tbody>
</table>

<br/><br/>

{% for item in ticker %}
    <a href="{% url 'delete' item.id %}" class="btn btn-secondary">Delete {{ item  }}</a> &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

{% endfor %}

{% endblock %}